[fuel-menu] Impossible to configure no_proxy addresses

Bug #1534505 reported by Arthur Svechnikov on 2016-01-15
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Fedor Zhadaev
Mitaka
Medium
Fuel Sustaining
Newton
High
Fedor Zhadaev

Bug Description

It's possible to configure proxy for repositories, but there are no possibility to configure no_proxy addresses.
For example we have to repositories:
1. name: ubuntu
      section: "main universe multiverse"
      uri: "http://archive.ubuntu.com/ubuntu"
      priority:
      suite: trusty
      type: deb
2. name: mos
      section: "main restricted"
      uri: "http://127.0.0.1:8080/ubuntu/x86_64"
      priority: 1050
      suite: mos8.0
      type: deb

For the first one proxy should be used, for the second one proxy should be bypassed.

Workaround is to skip bootstrap building and use fuel-bootstrap CLI tool with /etc/fuel-bootstrap-cli/fuel_bootstrap_cli.yaml

VERSION:
  feature_groups:
    - mirantis
  production: "docker"
  release: "8.0"
  api: "1.0"
  build_number: "417"
  build_id: "417"
  fuel-nailgun_sha: "9ebbaa0473effafa5adee40270da96acf9c7d58a"
  python-fuelclient_sha: "4f234669cfe88a9406f4e438b1e1f74f1ef484a5"
  fuel-agent_sha: "df16d41cd7a9445cf82ad9fd8f0d53824711fcd8"
  fuel-nailgun-agent_sha: "92ebd5ade6fab60897761bfa084aefc320bff246"
  astute_sha: "c7ca63a49216744e0bfdfff5cb527556aad2e2a5"
  fuel-library_sha: "7ef751bdc0e4601310e85b8bf713a62ed4aee305"
  fuel-ostf_sha: "214e794835acc7aa0c1c5de936e93696a90bb57a"
  fuel-mirror_sha: "b62f3cce5321fd570c6589bc2684eab994c3f3f2"
  fuelmenu_sha: "2a0def56276f0fc30fd949605eeefc43e5d7cc6c"
  shotgun_sha: "63645dea384a37dde5c01d4f8905566978e5d906"
  network-checker_sha: "9f0ba4577915ce1e77f5dc9c639a5ef66ca45896"
  fuel-upgrade_sha: "616a7490ec7199f69759e97e42f9b97dfc87e85b"
  fuelmain_sha: "cfeadd34d8d048deeabf0884931708b1d040b8a6"

Changed in fuel:
assignee: nobody → Fuel Python Team (fuel-python)
Ilya Kutukov (ikutukov) on 2016-01-15
Changed in fuel:
status: New → Confirmed
Dmitry Pyzhov (dpyzhov) on 2016-02-26
tags: added: feature
Bogun Dmitriy (dbogun) wrote :

As quickfix you can use this something like this:

diff --git a/fuelclient/client.py b/fuelclient/client.py
index 2c10538..32ddd0c 100644
--- a/fuelclient/client.py
+++ b/fuelclient/client.py
@@ -79,6 +79,8 @@ class APIClient(object):
         """Provides HTTP proxy configuration for requests module."""
         if self._http_proxy is None:
             return None
+ if requests.utils.should_bypass_proxies(self.root):
+ return None

         return {'http': self._http_proxy,
                 'https': self._http_proxy}

Bogun Dmitriy (dbogun) wrote :

Why for it use "custom" proxy settings?

PS If it will store proxy settings into os.environ, instead of request's session object - no_proxy will work as expected.

Marked as High for 10.0 please do not forget to fix the issue because it affects customers.

tags: added: customer-found
no longer affects: fuel/newton
Dmitry Pyzhov (dpyzhov) wrote :

We don't backport feature requests and there is no point to release fixes for fuelmenu in updates because fuelmenu is used on master node installation before updates download.

Fedor Zhadaev (fzhadaev) on 2017-01-23
Changed in fuel:
assignee: Fuel Sustaining (fuel-sustaining-team) → Fedor Zhadaev (fzhadaev)
milestone: 10.0 → 11.0

Fix proposed to branch: master
Review: https://review.openstack.org/426808

Changed in fuel:
status: Confirmed → In Progress

Fix proposed to branch: stable/newton
Review: https://review.openstack.org/446456

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/426808
Committed: https://git.openstack.org/cgit/openstack/fuel-menu/commit/?id=b9aaa446a86fea931e3eecde8b840416f72b9b22
Submitter: Jenkins
Branch: master

commit b9aaa446a86fea931e3eecde8b840416f72b9b22
Author: Fedor Zhadaev <email address hidden>
Date: Mon Jan 30 19:28:06 2017 +0400

    Add ability to specify NO_PROXY variable

    Add ability to bypass proxies for some domains
    by adding them to NO_PROXY list.

    Change-Id: I4b1e63918d467d6ee6bb90f69fc0cbf5b7be4961
    Closes-Bug:#1534505

Reviewed: https://review.openstack.org/446456
Committed: https://git.openstack.org/cgit/openstack/fuel-menu/commit/?id=0f1ef857d91cbc0df5170dffccc640df3c18f5ab
Submitter: Jenkins
Branch: stable/newton

commit 0f1ef857d91cbc0df5170dffccc640df3c18f5ab
Author: Fedor Zhadaev <email address hidden>
Date: Mon Jan 30 19:28:06 2017 +0400

    Add ability to specify NO_PROXY variable

    Add ability to bypass proxies for some domains
    by adding them to NO_PROXY list.

    Change-Id: I4b1e63918d467d6ee6bb90f69fc0cbf5b7be4961
    Closes-Bug:#1534505

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers